Author Topic: Is Virtuemart 3.2.4 Compatibility with Joomla 3.8.2?  (Read 133 times)

Alexsebastian

  • Beginner
  • *
  • Posts: 1
  • A beginner
  • Skype Name: Alex
Is Virtuemart 3.2.4 Compatibility with Joomla 3.8.2?
« on: October 05, 2018, 12:57:03 pm »
Hello. I've been developing a e-commerce website using a Shape5 site shaper template (template setup with content) but it was based on the older 3.6.2 Joomla. I updated Joomla to 3.6.5 and I think I updated one of the Virtuemart plugins and it was fine.

Then I tried updating Joomla to 3.8.1 and it seems to have gotten rid of Virtuemart snaptube tubemate test-dpc in my administration panels and menus which has taken away my ability to manage it. The plugins and component are still there however and it is still functioning on the front end of the website. I looked at the VM website which really lacks in info especially regards to anything past 3.7.x Joomla and their website lacks https certificates currently so I can't even download and reinstall VM. Anyone have experience running VM on 3.8.x Joomla. Problems?

(edit) I posted 3.8.2 incorrectly... it is 3.8.1


_____________________________________________________________________________________________________




GJC Web Design

  • 3rd party VirtueMart Developer
  • Super Hero
  • *
  • Posts: 8183
  • Virtuemart, Joomla & php developer
    • GJC Web Design
  • VirtueMart Version: 2.6.22 & 3.2.14
Re: Is Virtuemart 3.2.4 Compatibility with Joomla 3.8.2?
« Reply #1 on: October 05, 2018, 13:38:20 pm »
why J3.8.1???

the current version is J3.8.12!

VM 3.4.0 of course works with the current latest stable Joomla

just access the VM website with https .. cert is there..  but https is not forced

If your menus have disappeared just reinstall VM and check that the VM admin MODULE is published etc

you can always access VM by  /administrator/index.php?option=com_virtuemart

Quote
I looked at the VM website which really lacks in info especially regards to anything past 3.7.x Joomla

Why would they give information on unsafe and out of date Joomla versions?
It can be taken as read that when they refer to Joomla they mean the latest current stable...
GJC Web Design
VirtueMart and Joomla Developers - php developers http://www.gjcwebdesign.com
VM3 AusPost Shipping Plugin - e-go Shipping Plugin - VM3 Postcode Shipping Plugin - Radius Shipping Plugin - VM3 NZ Post Shipping Plugin - AusPost Estimator
Samport Payment Plugin - EcomMerchant Payment Plugin - ccBill payment Plugin
VM2 Product Lock Extension - VM2 Preconfig Adresses Extension - TaxCloud USA Taxes Plugin - Virtuemart  Product Review Component
http://extensions.joomla.org/profile/profile/details/67210
Contact for any VirtueMart or Joomla development & customisation

Jörgen

  • Global Moderator
  • Full Member
  • *
  • Posts: 1720
    • Kreativ Fotografi
  • VirtueMart Version: 3.2.12
Re: Is Virtuemart 3.2.4 Compatibility with Joomla 3.8.2?
« Reply #2 on: October 05, 2018, 14:29:29 pm »
I agree that it would be nice to see which Joomla version could be suitable for a specific VM version. Latest stable is actually not a very good definition. Updating to lastest VM version is a good idea, but You have to check that on a backup version first. Overrides and other customizations could break the site if You do not take care.

Jörgen @ Kreativ Fotografi
Joomla 3.8.3
Virtuemart 3.2.12
Olympiantheme Hera (customized)

ssnobben

  • Beginner
  • *
  • Posts: 26
Re: Is Virtuemart 3.2.4 Compatibility with Joomla 3.8.2?
« Reply #3 on: October 06, 2018, 18:00:22 pm »
Hello. I've been developing a e-commerce website using a Shape5 site shaper template (template setup with content) but it was based on the older 3.6.2 Joomla. I updated Joomla to 3.6.5 and I think I updated one of the Virtuemart plugins and it was fine.

Then I tried updating Joomla to 3.8.1 and it seems to have gotten rid of Virtuemart in my administration panels and menus which has taken away my ability to manage it. The plugins and component are still there however and it is still functioning on the front end of the website. I looked at the VM website which really lacks in info especially regards to anything past 3.7.x Joomla and their website lacks https certificates currently so I can't even download and reinstall VM. Anyone have experience running VM on 3.8.x Joomla. Problems?

(edit) I posted 3.8.2 incorrectly... it is 3.8.1

Always update your Joomla extensions before updating to a newer Joomla version thats a tips.
Success in the long run Its not about the code its about the people and community that's make it!
Its not what you say its what you do that matters!

Darb - aka ssnobben